Bug 1196039 - Review Request: google-oauth-java-client - Google OAuth Client Library for Java
Summary: Review Request: google-oauth-java-client - Google OAuth Client Library for Java
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Rosser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1106256 1196037 1196043 1239703
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-25 07:15 UTC by gil cattaneo
Modified: 2016-12-19 15:12 UTC (History)
2 users (show)

Fixed In Version: 1.22.0-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-19 15:12:13 UTC
Type: ---
rosser.bjr: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2015-02-25 07:15:25 UTC
Spec URL: https://gil.fedorapeople.org/google-oauth-java-client.spec
SRPM URL: https://gil.fedorapeople.org/google-oauth-java-client-1.19.0-1.fc20.src.rpm
Description:
Google OAuth Client Library for Java. Functionality that
works on all supported Java platforms, including Java 5
(or higher) desktop (SE) and web (EE), Android, and
Google App Engine.
Fedora Account System Username: gil

Comment 4 gil cattaneo 2016-10-03 16:54:58 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=15926261

Comment 5 Ben Rosser 2016-12-18 01:10:49 UTC
Sorry for the delay with this (and with pdfbox1); package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Apache (v2.0)", "Unknown or generated", "*No
     copyright* Apache (v2.0)". 111 files have unknown license. Detailed
     output of licensecheck in /home/bjr/Programming/fedora/reviews/1196039
     -google-oauth-java-client/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in google-
     oauth-java-client-java6 , google-oauth-java-client-parent , google-
     oauth-java-client-servlet , google-oauth-java-client-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: google-oauth-java-client-1.22.0-1.fc26.noarch.rpm
          google-oauth-java-client-java6-1.22.0-1.fc26.noarch.rpm
          google-oauth-java-client-parent-1.22.0-1.fc26.noarch.rpm
          google-oauth-java-client-servlet-1.22.0-1.fc26.noarch.rpm
          google-oauth-java-client-javadoc-1.22.0-1.fc26.noarch.rpm
          google-oauth-java-client-1.22.0-1.fc26.src.rpm
google-oauth-java-client-java6.noarch: W: no-documentation
google-oauth-java-client-parent.noarch: W: no-documentation
google-oauth-java-client-servlet.noarch: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
google-oauth-java-client-servlet.noarch: W: no-documentation
google-oauth-java-client-parent.noarch: W: no-documentation
google-oauth-java-client-java6.noarch: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
google-oauth-java-client (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(com.google.code.findbugs:jsr305)
    mvn(com.google.http-client:google-http-client)

google-oauth-java-client-servlet (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(com.google.http-client:google-http-client-jdo)
    mvn(com.google.oauth-client:google-oauth-client)
    mvn(javax.jdo:jdo2-api)
    mvn(javax.servlet:javax.servlet-api)

google-oauth-java-client-parent (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.maven.plugins:maven-javadoc-plugin)
    mvn(org.sonatype.oss:oss-parent:pom:)

google-oauth-java-client-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

google-oauth-java-client-java6 (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(com.google.oauth-client:google-oauth-client)



Provides
--------
google-oauth-java-client:
    google-oauth-java-client
    mvn(com.google.oauth-client:google-oauth-client)
    mvn(com.google.oauth-client:google-oauth-client:pom:)

google-oauth-java-client-servlet:
    google-oauth-java-client-servlet
    mvn(com.google.oauth-client:google-oauth-client-servlet)
    mvn(com.google.oauth-client:google-oauth-client-servlet:pom:)

google-oauth-java-client-parent:
    google-oauth-java-client-parent
    mvn(com.google.oauth-client:google-oauth-client-parent:pom:)

google-oauth-java-client-javadoc:
    google-oauth-java-client-javadoc

google-oauth-java-client-java6:
    google-oauth-java-client-java6
    mvn(com.google.oauth-client:google-oauth-client-java6)
    mvn(com.google.oauth-client:google-oauth-client-java6:pom:)



Source checksums
----------------
https://github.com/google/google-oauth-java-client/archive/1.22.0/google-oauth-java-client-1.22.0.tar.gz :
  CHECKSUM(SHA256) this package     : d85e071f104ec7275ef67ca5e3e452777fa248126f62e2663d1987c361135e75
  CHECKSUM(SHA256) upstream package : d85e071f104ec7275ef67ca5e3e452777fa248126f62e2663d1987c361135e75


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1196039 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 gil cattaneo 2016-12-18 07:16:20 UTC
(In reply to Ben Rosser from comment #5)
> Sorry for the delay with this (and with pdfbox1); package is APPROVED.

NO problem. Thanks for the review!

Comment 7 gil cattaneo 2016-12-18 07:18:23 UTC
create new SCM requests:
https://admin.fedoraproject.org/pkgdb/package/requests/9238

Comment 8 Gwyn Ciesla 2016-12-19 13:40:28 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/google-oauth-java-client

Comment 9 gil cattaneo 2016-12-19 15:12:13 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=16959918


Note You need to log in before you can comment on or make changes to this bug.